package com.gx.obe.management.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.management.composite.EvaluationPriceComposite;

/**
 * @Description: 评标价
 * @author guoyr
 */
public class LoadEvaluationPriceAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		Composite parent = listener.getParentComposite();
		EvaluationPriceComposite finalBidPriceComposite = new EvaluationPriceComposite(parent, this, SWT.NONE);
		listener.loadComposite(this, finalBidPriceComposite);
	}

}
